<%@ Control Language="c#" CodeBehind="Globals.ascx.cs" Inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.Globals"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<table id="globals_main" class="settings_table_main">
    <tr>
        <td>
            <table id="globals_main" class="settings_table_main">
                <tr>
                    <td style="width: 179px" class="Normal">
                        <dnn:label id="lblEnableFriendlyURLs" resource="lblEnableFriendlyURLs" controlname=""
                            suffix="" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:Button ID="_cmdEnableDisableProvider" runat="server" CssClass="NormalTextBox"
                            Text="Button" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table id="webcnfgbackup" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblWebconfigBackup" resource="lblWebconfigBackup" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chkWebconfigBackup" runat="server" CssClass="Normal"></asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table id="encodeNationalChars" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblencodeNationalChars" resource="lblencodeNationalChars" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chkEncodeNationalChars" runat="server" CssClass="Normal"></asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshIIS7Settings" runat="server" resourcekey="_dshIIS7Settings"
                cssclass="NormalBold" section="tblIIS7Settings" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblIIS7Settings" runat="server">
                <tr>
                    <td colspan="3">
                        <asp:Button ID="_btnRunAllManagedModulesForAllRequests" runat="server" CssClass="NormalTextBox" Text="Button" />  
                    </td>
                </tr>
            </table>
        </td>
    </tr>    
    <tr>
        <td>
            <dnn:sectionhead id="_dshCacheOptions" runat="server" resourcekey="_dshCacheOptions"
                cssclass="NormalBold" section="tblCacheOptions" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table id="tblCacheOptions" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="top">
                        <dnn:label id="lblCacheTimeout" resource="lblCacheTimeout" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="_txtCacheTimeout" runat="server" Width="50px" CssClass="Normal"
                            MaxLength="3"></asp:TextBox>
                        <asp:CompareValidator ID="_cmpCacheTimeout" runat="server" resource="_cmpCacheTimeout"
                            ErrorMessage="CompareValidator" ControlToValidate="_txtCacheTimeout" Operator="DataTypeCheck"
                            Type="Integer"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td style="width: 179px; height: 60px;" class="Normal">
                        <dnn:label id="lblRebuildCache" resource="lblRebuildCache" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:Button ID="_cmdRebuildCache" runat="server" CssClass="NormalTextBox" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshRegexFilters" runat="server" resourcekey="dshRegexFilters"
                cssclass="NormalBold" section="tblMain" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table id="tblMain" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="top">
                        <dnn:label id="lblRegexFilters" resource="lblRegexFilters" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="_txtRegexFilters" runat="server" Width="461px" CssClass="Normal"></asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshKeepAlive" runat="server" resourcekey="_dshKeepAlive" cssclass="NormalBold"
                section="tblKeepAlive" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblKeepAlive" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblKeepAliveRequestMinutes" resource="lblKeepAliveRequestMinutes"
                            controlname="" suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:TextBox ID="_txtKeepAliveRequestMinutes" CssClass="Normal" runat="server" MaxLength="3"
                            Width="50px"></asp:TextBox>
                        <asp:CompareValidator ID="_cmpKeepAliveRequestMinutes" runat="server" resource="_cmpKeepAliveRequestMinutes"
                            ErrorMessage="CompareValidator" ControlToValidate="_txtKeepAliveRequestMinutes"
                            Operator="DataTypeCheck" Type="Integer"></asp:CompareValidator>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshUrlCapitals" runat="server" resourcekey="_dshUrlCapitals"
                cssclass="NormalBold" section="tblUrlCapitals" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblUrlCapitals" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblCapitalsURLToSmallLetters" resource="lblCapitalsURLToSmallLetters"
                            controlname="" suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chbCapitalsURLToSmallLetters" runat="server" CssClass="Normal">
                        </asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblGenerate301RulesAllPagesWithCapitals" resource="lblGenerate301RulesAllPagesWithCapitals"
                            controlname="" suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chkGenerate301RulesAllPagesWithCapitals" runat="server" CssClass="Normal">
                        </asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshLogs" runat="server" resourcekey="_dshLogs" cssclass="NormalBold"
                section="tblLogs" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblLogs" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <dnn:label id="lblLoggingOnOff" resource="lblCapitalsURLToSmallLetters" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chkLoggingOnOff" runat="server" CssClass="Normal"></asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshDeleteRules" runat="server" resourcekey="_dshDeleteRules"
                cssclass="NormalBold" section="tblDeleteRules" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblDeleteRules" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                        <asp:RadioButtonList ID="_rblDeleteRules" runat="server" CssClass="Normal">
                            <asp:ListItem Value="Automatic" resourcekey="_rblDeleteRules_Automatic"></asp:ListItem>
                            <asp:ListItem Value="All" resourcekey="_rblDeleteRules_All" Selected="True"></asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                    <td valign="middle">
                        <asp:Button ID="_cmdDeleteRules" runat="server" CssClass="NormalTextBox" Text="Button" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshCreate404Pages" runat="server" resourcekey="_dshCreate404Pages"
                cssclass="NormalBold" section="tblCreate404Pages" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblCreate404Pages" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="middle">
                    </td>
                    <td valign="middle">
                        <asp:Button ID="_cmdCreate404Pages" runat="server" CssClass="NormalTextBox" Text="Button" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshExcludeFileExt" runat="server" resourcekey="_dshExcludeFileExt"
                cssclass="NormalBold" section="tblExcludeFileExt" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblExcludeFileExt" runat="server">
                <tr>
                    <td style="width: 179px" class="Normal" valign="top">
                        <dnn:label id="lblExcludeFileExt" resource="lblExcludeFileExt" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="_txtExcludeFileExt" runat="server" Width="461px" CssClass="Normal"></asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshAutoCacheRebuild" runat="server" resourcekey="_dshAutoCacheRebuild"
                cssclass="NormalBold" section="tblAutoCacheRebuild" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblAutoCacheRebuild" runat="server">
                <tr>
                    <td style="width: 279px" class="Normal" valign="top">
                        <dnn:label id="lblAutoCacheRebuild" resource="lblAutoCacheRebuild" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:CheckBox ID="_chkAutoCacheRebuild" runat="server" CssClass="Normal" Checked="true">
                        </asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshLocalizationSelector" runat="server" resourcekey="_dshLocalizationSelector"
                cssclass="NormalBold" section="tblLocalizationSelector" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblLocalizationSelector" runat="server">
                <tr>
                    <td style="width: 279px" class="Normal" valign="top">
                        <asp:RadioButtonList ID="_rblLocalizationSelector" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                            <asp:ListItem Value="None" resourcekey="_rblLocalizationSelector_None" Selected="True"></asp:ListItem>
                            <asp:ListItem Value="Apollo" resourcekey="_rblLocalizationSelector_Apollo"></asp:ListItem>
                            <asp:ListItem Value="Ealo" resourcekey="_rblLocalizationSelector_Ealo"></asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshRobots" runat="server" resourcekey="_dshRobots"
                cssclass="NormalBold" section="tblRobots" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <table id="tblRobots" runat="server">
                <tr>
                    <td style="width: 279px" class="Normal" valign="top">
                        <dnn:label id="lblRobotsReplaceEnabled" resource="lblRobotsReplaceEnabled" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:CheckBox ID="_chkRobotsReplaceEnabled" runat="server" CssClass="Normal" Checked="false">
                        </asp:CheckBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td id="footer" class="settings_footer">
            <asp:LinkButton ID="_cmdSave" runat="server" resourcekey="cmdSave" CssClass="CommandButton">LinkButton</asp:LinkButton>
        </td>
    </tr>
</table>
