<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ImportWizard.ascx.cs"
    Inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.ImportWizard" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35"
    Assembly="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35" %>

<script type="text/javascript">

    function _gridRules_onCallbackError(sender, eventArgs)
    {
      if (confirm('Invalid data has been entered. View details?')) alert(eventArgs.get_errorMessage());
      <%=_gridRules.ClientID%>.page(0);
    }
    
    function _gridRules_onItemBeforeInsert(sender, eventArgs)
    {
        if (!confirm("Insert record?"))
          eventArgs.set_cancel(true);
    }

    function _gridRules_onItemBeforeUpdate(sender, eventArgs)
    {
        /*var sourceStat = DataItem.GetMember('Tab').Value;
        var newStat = document.getElementById("_ddTab").value;
        
        if(sourceStat == 200 && newStat == 301)
        {
            alert('To set Tab of this record to 301 change Tab of other record to 200!');
            eventArgs.set_cancel(true);
        }
        else
        {
            if (!confirm("Update record?"))
                eventArgs.set_cancel(true);
        }*/
    }

    function _gridRules_onItemBeforeDelete(sender, eventArgs)
    {
        if (!confirm("Delete record?"))
          eventArgs.set_cancel(true);
    }

    function editRulesGrid(rowId)
    {
        $.ajax({
            type: "POST",
            url: "<%= GetFullControlPath() %>ImportService.asmx/GetPortalTabs",
            data: "{}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function(msg) {
            
                $("#_ddlTabs").get(0).options.length = 0;
                //$("#_ddlTabs").get(0).options[0] = new Option("Select gender", "-1");   
 
                $.each(msg.d, function(index, item) {
                    $("#_ddlTabs").get(0).options[$("#_ddlTabs").get(0).options.length] = new Option(item.Display, item.Value);
                });
            },
            error: function() {
                alert("Failed to load tabs");
            }
        });
        <%=_gridRules.ClientID%>.edit(_gridRules.getItemFromClientId(rowId));
    }

    function editRulesRow()
    {
        
        <%=_gridRules.ClientID%>.editComplete();
    }
    
    function insertRulesRow()
    {
        <%=_gridRules.ClientID%>.editComplete();
    }

    function deleteRulesRow(rowId, count, stat)
    {
        if(count <= 1)
            alert('Cannot delete last record!');
        else if(stat == 200)
            alert('Cannot delete record with 200 http status!');
        else
            <%=_gridRules.ClientID%>.deleteItem(_gridRules.getItemFromClientId(rowId));
    }
    
    function getTabValue()
    {
        return document.getElementById("_ddlTabs").value;
    }

    function setTabValue(DataItem)
    {
        var selectedStatus = DataItem.GetMember('TAB').Value;
        document.getElementById("_ddlTabs").value = selectedStatus;
    }

</script>



<asp:Label ID="_lblWarning" runat="server" Text="" CssClass="NormalRed"></asp:Label>
<asp:Panel ID="_pnlStep1" runat="server">
<div class="dnnFormMessage dnnFormInfo">
    <asp:Label id="lblStep1Info" runat="server" resourcekey="lblStep1Info" />
</div>
<table >
    <tr>
        <td style="width: 130px" class="Normal">
            <dnn:label id="lblWorksheets" controlname="" suffix=""
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:DropDownList ID="_ddlWorksheets" runat="server" CssClass="NormalTextBox" Width="254px"  >
            </asp:DropDownList>
        </td>
    </tr>
</table>
</asp:Panel>
<asp:Panel ID="_pnlStep2" runat="server">
<div class="dnnFormMessage dnnFormInfo">
    <asp:Label id="lblStep2Info" runat="server" resourcekey="lblStep2Info" />
</div>
<table >
    <tr>
        <td style="width: 130px" class="Normal">
            <dnn:label id="lblRedirectUrl" controlname="" suffix=""
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:DropDownList ID="_ddlRedirectUrl" runat="server" CssClass="NormalTextBox" Width="150px"  >
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 130px" class="Normal">
            <dnn:label id="lblSearchTab" controlname="" suffix=""
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:DropDownList ID="_ddlSearchTab" runat="server" CssClass="NormalTextBox" Width="150px"  >
            </asp:DropDownList>
        </td>
    </tr>
</table>

</asp:Panel>
<asp:Panel ID="_pnlStep3" runat="server">
<div class="dnnFormMessage dnnFormInfo">
    <asp:Label id="lblStep3Info" runat="server" resourcekey="lblStep3Info" />
</div>

                                <ComponentArt:Grid id="_gridRules"
                                    EnableViewState="true"
                                    EditOnClickSelectedItem="true"
                                    AllowColumnResizing="true"
                                    AllowEditing="true"
                                    ShowHeader="False"
                                    CssClass="Grid"
                                    KeyboardEnabled="false"
                                    FooterCssClass="GridFooter"
                                    RunningMode="Server"
                                    PagerStyle="Numbered"
                                    PagerTextCssClass="PagerText"
                                    PageSize="15"
                                    ImagesBaseUrl="/DesktopModules/DNNMasters.SEO.URLProvider/UI/Settings/UserControls/images/grid/"
                                    width="800" Height="250"
                                    LoadingPanelClientTemplateId="LoadingFeedbackTemplate"
                                    LoadingPanelPosition="MiddleCenter"
                                    AutoPostBackOnInsert="true" 
                                    AutoPostBackOnUpdate="true"
                                    AutoPostBackOnDelete="true"
                                    AutoPostBackOnEdit="true"
                                    AutoPostBack="true"
                                    runat="server">
                                    <ClientEvents>
                                      <CallbackError EventHandler="_gridRules_onCallbackError" />
                                      <ItemBeforeInsert EventHandler="_gridRules_onItemBeforeInsert" />
                                      <ItemBeforeUpdate EventHandler="_gridRules_onItemBeforeUpdate" />
                                      <ItemBeforeDelete EventHandler="_gridRules_onItemBeforeDelete" />
                                    </ClientEvents>
                                    <Levels>
                                      <ComponentArt:GridLevel
                                        DataKeyField="RULE_ID"
                                        ShowTableHeading="false"
                                        ShowSelectorCells="false"
                                        SelectorCellCssClass="SelectorCell"
                                        SelectorCellWidth="18"
                                        SelectorImageUrl="selector.gif"
                                        SelectorImageWidth="17"
                                        SelectorImageHeight="15"
                                        HeadingSelectorCellCssClass="SelectorCell"
                                        HeadingCellCssClass="HeadingCell"
                                        HeadingRowCssClass="HeadingRow"
                                        HeadingTextCssClass="HeadingCellText"
                                        DataCellCssClass="DataCell"
                                        RowCssClass="Row"
                                        SelectedRowCssClass="SelectedRow"
                                        SortAscendingImageUrl="asc.gif"
                                        SortDescendingImageUrl="desc.gif"
                                        SortImageWidth="10"
                                        SortImageHeight="10"
                                        EditCellCssClass="EditDataCell"
                                        EditFieldCssClass="EditDataField"
                                        EditCommandClientTemplateId="EditCommandTemplate"
                                        InsertCommandClientTemplateId="InsertCommandTemplate"
                                        >
                                        <ConditionalFormats>
                                          <ComponentArt:GridConditionalFormat ClientFilter="DataItem.GetMember('TAB').Value=='-1'" RowCssClass="_gridRulesGreenRow" SelectedRowCssClass="_gridRulesGreenSelectedRow" />
                                        </ConditionalFormats>
                                        <Columns>
                                            <ComponentArt:GridColumn DataField="RULE_ID" Visible="false" />
                                            <ComponentArt:GridColumn DataField="SEARCH_URL_TAB" HeadingText="Find Url Tab" Width="200" />
                                            <ComponentArt:GridColumn DataField="REDIRECT_URL_TAB" HeadingText="Redirect Url" Width="200" />
                                            <ComponentArt:GridColumn DataField="TAB" HeadingText="Tab" Width="200"  EditCellServerTemplateId="TabEditTemplate" EditControlType="Custom" CustomEditSetExpression="setTabValue(DataItem)" CustomEditGetExpression="getTabValue()" />
                                            <ComponentArt:GridColumn AllowSorting="false" HeadingText="Edit Command" DataCellClientTemplateId="EditTemplate" EditControlType="EditCommand" Width="100" Align="Center" />
                                        </Columns>
                                      </ComponentArt:GridLevel>
                                    </Levels>
                                    <ClientTemplates>
                                      
                                      <ComponentArt:ClientTemplate Id="EditTemplate">
                                       <a href="#" onclick="editRulesGrid('## DataItem.ClientId ##');">Edit</a> | <a href="#" onclick="deleteRulesRow('## DataItem.ClientId ##', '## _gridRules.RecordCount ##', '## DataItem.GetMember('TAB').Value ##')">Delete</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="EditCommandTemplate">
                                        
                                        <a href="#" onclick="editRulesRow();">Update</a> | <a href="#" onclick="_gridRules.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="InsertCommandTemplate">
                                        <a href="#" onclick="insertRulesRow();">Insert</a> | <a href="#" onclick="_gridRules.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="LoadingFeedbackTemplate">
                                      <table cellspacing="0" cellpadding="0" border="0">
                                      <tr>
                                        <td style="font-size:10px;">Loading...&nbsp;</td>
                                        <td><img src="/DesktopModules/DNNMasters.SEO.URLProvider/UI/Settings/UserControls/images/grid/spinner.gif" width="16" height="16" border="0"></td>
                                      </tr>
                                      </table>
                                      </ComponentArt:ClientTemplate>
                                      
                                    </ClientTemplates>
                                    <ServerTemplates>
                                        <ComponentArt:GridServerTemplate Id="TabEditTemplate">
                                            <Template>
                                                <select name="_ddlTabs" id="_ddlTabs" style="font-family: verdana;font-size: 10px;width:150px;">
		                                        </select>
                                                <%--<asp:DropDownList runat="server" id="_ddlTabs" CssClass="Normal"></asp:DropDownList>--%>
                                            </Template>
                                        </ComponentArt:GridServerTemplate>
                                    </ServerTemplates>
                                  </ComponentArt:Grid>

</asp:Panel>

<asp:Panel ID="_pnlStep4" runat="server">

<asp:Label ID="_lblImportFinishedInfo" runat="server" Text=""></asp:Label><br />

</asp:Panel>


<table>
    <tr>
        <td>
            <asp:LinkButton ID="_lnkPrev" runat="server">
                Prev
            </asp:LinkButton>
        </td>
        <td style="width: 50px;">
        </td>
        <td>
            <asp:LinkButton ID="_lnkNext" runat="server">
                
                Next
            </asp:LinkButton>
        </td>
    </tr>
</table>
