<%@ Control AutoEventWireup="false" CodeBehind="CDN.ascx.cs" Inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.CDN"
    Language="c#" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35"
    Assembly="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>

<script type="text/javascript">

    function _gridDomainReplace_onCallbackError(sender, eventArgs)
    {
      if (confirm('Invalid data has been entered. View details?')) alert(eventArgs.get_errorMessage());
      <%=_gridDomainReplace.ClientID%>.page(0);
    }
    
    function _gridDomainReplace_onItemBeforeInsert(sender, eventArgs)
    {
        if (!confirm("Insert record?"))
          eventArgs.set_cancel(true);
    }

    function _gridDomainReplace_onItemBeforeUpdate(sender, eventArgs)
    {
        var sourceStat = DataItem.GetMember('HttpStatus').Value;
        var newStat = document.getElementById("_ddHttpStatus").value;
        
        if(sourceStat == 200 && newStat == 301)
        {
            alert('To set HttpStatus of this record to 301 change HttpStatus of other record to 200!');
            eventArgs.set_cancel(true);
        }
        else
        {
            if (!confirm("Update record?"))
                eventArgs.set_cancel(true);
        }
    }

    function _gridDomainReplace_onItemBeforeDelete(sender, eventArgs)
    {
        if (!confirm("Delete record?"))
          eventArgs.set_cancel(true);
    }

    function editDomainReplaceGrid(rowId)
    {
        <%=_gridDomainReplace.ClientID%>.edit(_gridDomainReplace.getItemFromClientId(rowId));
    }

    function editDomainReplaceRow()
    {
        <%=_gridDomainReplace.ClientID%>.editComplete();
    }
    
    function insertDomainReplaceRow()
    {
        <%=_gridDomainReplace.ClientID%>.editComplete();
    }

    function deleteDomainReplaceRow(rowId, count, stat)
    {
        if(count <= 1)
            alert('Cannot delete last record!');
        else if(stat == 200)
            alert('Cannot delete record with 200 http status!');
        else
            <%=_gridDomainReplace.ClientID%>.deleteItem(_gridDomainReplace.getItemFromClientId(rowId));
    }
    
    function getHttpStatValue()
    {
        return document.getElementById("_ddHttpStatus").value;
    }

    function setHttpStatValue(DataItem)
    {
        var selectedStatus = DataItem.GetMember('HttpStatus').Value;
        document.getElementById("_ddHttpStatus").value = selectedStatus;
    }

</script>


<table id="pages_main" class="settings_table_main">
    <tr>
        <td>
            <dnn:sectionhead id="_dshLangPortals" runat="server" resourcekey="_dshLangPortals"
                cssclass="NormalBold" section="portal_selection" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <table id="portal_selection" border="0" runat="server">
                <tr>
                    <td class="Normal" valign="middle">
                        <dnn:label id="lblPortals" resource="lblPortals" controlname="" suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:DropDownList ID="_ddlPortals" Width="254px" runat="server" CssClass="NormalTextBox"
                            AutoPostBack="true">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td class="Normal" valign="middle">
                        <dnn:label id="lblLEPortalEnabled" controlname="" suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td valign="middle">
                        <asp:CheckBox ID="_chkLEPortalEnabled" runat="server" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td id="footer" class="settings_footer">
            <asp:LinkButton ID="_cmdSave" runat="server" resource="cmdSave" CssClass="CommandButton">LinkButton</asp:LinkButton>
            <br />
            <asp:Label ID="_lblSettingsSaved" runat="server" Text="Label" CssClass="NormalRed"></asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshLangConfig" runat="server" resourcekey="_dshLangConfig"
                cssclass="NormalBold" section="tblRules" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
        <table id="tblRules" border="0" runat="server">
                <tr>
                    <td >
            <ComponentArt:Grid id="_gridDomainReplace"
                                    EnableViewState="true"
                                    EditOnClickSelectedItem="true"
                                    AllowColumnResizing="true"
                                    AllowEditing="true"
                                    ShowHeader="False"
                                    CssClass="Grid"
                                    KeyboardEnabled="false"
                                    FooterCssClass="GridFooter"
                                    RunningMode="Server"
                                    PagerStyle="Numbered"
                                    PagerTextCssClass="PagerText"
                                    PageSize="10"
                                    ImagesBaseUrl="/DesktopModules/DNNMasters.SEO.URLProvider/UI/Settings/UserControls/images/grid/"
                                    width="350" Height="150"
                                    LoadingPanelClientTemplateId="LoadingFeedbackTemplate"
                                    LoadingPanelPosition="MiddleCenter"
                                    AutoPostBackOnInsert="true" 
                                    AutoPostBackOnUpdate="true"
                                    AutoPostBackOnDelete="true"
                                    AutoPostBackOnEdit="true"
                                    AutoPostBack="true"
                                    runat="server">
                                    <ClientEvents>
                                      <CallbackError EventHandler="_gridDomainReplace_onCallbackError" />
                                      <ItemBeforeInsert EventHandler="_gridDomainReplace_onItemBeforeInsert" />
                                      <ItemBeforeUpdate EventHandler="_gridDomainReplace_onItemBeforeUpdate" />
                                      <ItemBeforeDelete EventHandler="_gridDomainReplace_onItemBeforeDelete" />
                                    </ClientEvents>
                                    <Levels>
                                      <ComponentArt:GridLevel
                                        DataKeyField="CDNRuleId"
                                        ShowTableHeading="false"
                                        ShowSelectorCells="false"
                                        SelectorCellCssClass="SelectorCell"
                                        SelectorCellWidth="18"
                                        SelectorImageUrl="selector.gif"
                                        SelectorImageWidth="17"
                                        SelectorImageHeight="15"
                                        HeadingSelectorCellCssClass="SelectorCell"
                                        HeadingCellCssClass="HeadingCell"
                                        HeadingRowCssClass="HeadingRow"
                                        HeadingTextCssClass="HeadingCellText"
                                        DataCellCssClass="DataCell"
                                        RowCssClass="Row"
                                        SelectedRowCssClass="SelectedRow"
                                        SortAscendingImageUrl="asc.gif"
                                        SortDescendingImageUrl="desc.gif"
                                        SortImageWidth="10"
                                        SortImageHeight="10"
                                        EditCellCssClass="EditDataCell"
                                        EditFieldCssClass="EditDataField"
                                        EditCommandClientTemplateId="EditCommandTemplate"
                                        InsertCommandClientTemplateId="InsertCommandTemplate"
                                        >
                                        <ConditionalFormats>
                                          
                                        </ConditionalFormats>
                                        <Columns>
                                            <ComponentArt:GridColumn DataField="CDNRuleId" Visible="false" />
                                            <ComponentArt:GridColumn DataField="DNNPortalAliasID" Visible="false" />
                                            <ComponentArt:GridColumn DataField="DomainAlias" HeadingText="Domain Alias" Width="200" />
                                            <ComponentArt:GridColumn DataField="HttpStatus" HeadingText="Http Status" Width="75" EditCellServerTemplateId="HttpStatusEditTemplate" EditControlType="Custom" CustomEditSetExpression="setHttpStatValue(DataItem)" CustomEditGetExpression="getHttpStatValue()" />
                                            <ComponentArt:GridColumn AllowSorting="false" HeadingText="Edit Command" DataCellClientTemplateId="EditTemplate" EditControlType="EditCommand" Width="100" Align="Center" />
                                        </Columns>
                                      </ComponentArt:GridLevel>
                                    </Levels>
                                    <ClientTemplates>
                                      
                                      <ComponentArt:ClientTemplate Id="EditTemplate">
                                       <a href="#" onclick="editDomainReplaceGrid('## DataItem.ClientId ##');">Edit</a> | <a href="#" onclick="deleteDomainReplaceRow('## DataItem.ClientId ##', '## _gridDomainReplace.RecordCount ##', '## DataItem.GetMember('HttpStatus').Value ##')">Delete</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="EditCommandTemplate">
                                        
                                        <a href="#" onclick="editDomainReplaceRow();">Update</a> | <a href="#" onclick="_gridDomainReplace.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="InsertCommandTemplate">
                                        <a href="#" onclick="insertDomainReplaceRow();">Insert</a> | <a href="#" onclick="_gridDomainReplace.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="LoadingFeedbackTemplate">
                                      <table cellspacing="0" cellpadding="0" border="0">
                                      <tr>
                                        <td style="font-size:10px;">Loading...&nbsp;</td>
                                        <td><img src="/DesktopModules/DNNMasters.SEO.URLProvider/UI/Settings/UserControls/images/grid/spinner.gif" width="16" height="16" border="0"></td>
                                      </tr>
                                      </table>
                                      </ComponentArt:ClientTemplate>
                                      
                                    </ClientTemplates>
                                    <ServerTemplates>
                                    </ServerTemplates>
                                  </ComponentArt:Grid>
            <br />
            <dnn:CommandButton ID="cmdAddRule" runat="server" ResourceKey="cmdAdd" ImageUrl="~/images/add.gif" />
            </td>
            </tr>
            </table>
        </td>
    </tr>
</table>
